Index: uspace/srv/vfs/vfs_ipc.c
===================================================================
--- uspace/srv/vfs/vfs_ipc.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
+++ uspace/srv/vfs/vfs_ipc.c	(revision 77f0a1d4bb8b6671f79bcf1c047b1bb9ada543c9)
@@ -35,5 +35,5 @@
 #include <vfs/canonify.h>
 
-static void vfs_in_clone(cap_call_handle_t rid, ipc_call_t *request)
+static void vfs_in_clone(cap_call_handle_t req_handle, ipc_call_t *request)
 {
 	int oldfd = IPC_GET_ARG1(*request);
@@ -43,8 +43,8 @@
 	int outfd = -1;
 	errno_t rc = vfs_op_clone(oldfd, newfd, desc, &outfd);
-	async_answer_1(rid, rc, outfd);
-}
-
-static void vfs_in_fsprobe(cap_call_handle_t rid, ipc_call_t *request)
+	async_answer_1(req_handle, rc, outfd);
+}
+
+static void vfs_in_fsprobe(cap_call_handle_t req_handle, ipc_call_t *request)
 {
 	service_id_t service_id = (service_id_t) IPC_GET_ARG1(*request);
@@ -62,10 +62,10 @@
 	    FS_NAME_MAXLEN, 0, NULL);
 	if (rc != EOK) {
-		async_answer_0(rid, rc);
+		async_answer_0(req_handle, rc);
 		return;
 	}
 
 	rc = vfs_op_fsprobe(fs_name, service_id, &info);
-	async_answer_0(rid, rc);
+	async_answer_0(req_handle, rc);
 	if (rc != EOK)
 		goto out;
@@ -83,5 +83,5 @@
 }
 
-static void vfs_in_fstypes(cap_call_handle_t rid, ipc_call_t *request)
+static void vfs_in_fstypes(cap_call_handle_t req_handle, ipc_call_t *request)
 {
 	cap_call_handle_t chandle;
@@ -92,10 +92,10 @@
 	rc = vfs_get_fstypes(&fstypes);
 	if (rc != EOK) {
-		async_answer_0(rid, ENOMEM);
+		async_answer_0(req_handle, ENOMEM);
 		return;
 	}
 
 	/* Send size of the data */
-	async_answer_1(rid, EOK, fstypes.size);
+	async_answer_1(req_handle, EOK, fstypes.size);
 
 	/* Now we should get a read request */
@@ -111,5 +111,5 @@
 }
 
-static void vfs_in_mount(cap_call_handle_t rid, ipc_call_t *request)
+static void vfs_in_mount(cap_call_handle_t req_handle, ipc_call_t *request)
 {
 	int mpfd = IPC_GET_ARG1(*request);
@@ -132,5 +132,5 @@
 	    MAX_MNTOPTS_LEN, 0, NULL);
 	if (rc != EOK) {
-		async_answer_0(rid, rc);
+		async_answer_0(req_handle, rc);
 		return;
 	}
@@ -143,5 +143,5 @@
 	if (rc != EOK) {
 		free(opts);
-		async_answer_0(rid, rc);
+		async_answer_0(req_handle, rc);
 		return;
 	}
@@ -150,5 +150,5 @@
 	rc = vfs_op_mount(mpfd, service_id, flags, instance, opts, fs_name,
 	     &outfd);
-	async_answer_1(rid, rc, outfd);
+	async_answer_1(req_handle, rc, outfd);
 
 	free(opts);
@@ -156,5 +156,5 @@
 }
 
-static void vfs_in_open(cap_call_handle_t rid, ipc_call_t *request)
+static void vfs_in_open(cap_call_handle_t req_handle, ipc_call_t *request)
 {
 	int fd = IPC_GET_ARG1(*request);
@@ -162,15 +162,15 @@
 
 	errno_t rc = vfs_op_open(fd, mode);
-	async_answer_0(rid, rc);
-}
-
-static void vfs_in_put(cap_call_handle_t rid, ipc_call_t *request)
+	async_answer_0(req_handle, rc);
+}
+
+static void vfs_in_put(cap_call_handle_t req_handle, ipc_call_t *request)
 {
 	int fd = IPC_GET_ARG1(*request);
 	errno_t rc = vfs_op_put(fd);
-	async_answer_0(rid, rc);
-}
-
-static void vfs_in_read(cap_call_handle_t rid, ipc_call_t *request)
+	async_answer_0(req_handle, rc);
+}
+
+static void vfs_in_read(cap_call_handle_t req_handle, ipc_call_t *request)
 {
 	int fd = IPC_GET_ARG1(*request);
@@ -180,8 +180,8 @@
 	size_t bytes = 0;
 	errno_t rc = vfs_op_read(fd, pos, &bytes);
-	async_answer_1(rid, rc, bytes);
-}
-
-static void vfs_in_rename(cap_call_handle_t rid, ipc_call_t *request)
+	async_answer_1(req_handle, rc, bytes);
+}
+
+static void vfs_in_rename(cap_call_handle_t req_handle, ipc_call_t *request)
 {
 	/* The common base directory. */
@@ -219,5 +219,5 @@
 
 out:
-	async_answer_0(rid, rc);
+	async_answer_0(req_handle, rc);
 
 	if (old)
@@ -227,35 +227,35 @@
 }
 
-static void vfs_in_resize(cap_call_handle_t rid, ipc_call_t *request)
+static void vfs_in_resize(cap_call_handle_t req_handle, ipc_call_t *request)
 {
 	int fd = IPC_GET_ARG1(*request);
 	int64_t size = MERGE_LOUP32(IPC_GET_ARG2(*request), IPC_GET_ARG3(*request));
 	errno_t rc = vfs_op_resize(fd, size);
-	async_answer_0(rid, rc);
-}
-
-static void vfs_in_stat(cap_call_handle_t rid, ipc_call_t *request)
+	async_answer_0(req_handle, rc);
+}
+
+static void vfs_in_stat(cap_call_handle_t req_handle, ipc_call_t *request)
 {
 	int fd = IPC_GET_ARG1(*request);
 	errno_t rc = vfs_op_stat(fd);
-	async_answer_0(rid, rc);
-}
-
-static void vfs_in_statfs(cap_call_handle_t rid, ipc_call_t *request)
+	async_answer_0(req_handle, rc);
+}
+
+static void vfs_in_statfs(cap_call_handle_t req_handle, ipc_call_t *request)
 {
 	int fd = (int) IPC_GET_ARG1(*request);
 
 	errno_t rc = vfs_op_statfs(fd);
-	async_answer_0(rid, rc);
-}
-
-static void vfs_in_sync(cap_call_handle_t rid, ipc_call_t *request)
+	async_answer_0(req_handle, rc);
+}
+
+static void vfs_in_sync(cap_call_handle_t req_handle, ipc_call_t *request)
 {
 	int fd = IPC_GET_ARG1(*request);
 	errno_t rc = vfs_op_sync(fd);
-	async_answer_0(rid, rc);
-}
-
-static void vfs_in_unlink(cap_call_handle_t rid, ipc_call_t *request)
+	async_answer_0(req_handle, rc);
+}
+
+static void vfs_in_unlink(cap_call_handle_t req_handle, ipc_call_t *request)
 {
 	int parentfd = IPC_GET_ARG1(*request);
@@ -267,23 +267,23 @@
 		rc = vfs_op_unlink(parentfd, expectfd, path);
 
-	async_answer_0(rid, rc);
-}
-
-static void vfs_in_unmount(cap_call_handle_t rid, ipc_call_t *request)
+	async_answer_0(req_handle, rc);
+}
+
+static void vfs_in_unmount(cap_call_handle_t req_handle, ipc_call_t *request)
 {
 	int mpfd = IPC_GET_ARG1(*request);
 	errno_t rc = vfs_op_unmount(mpfd);
-	async_answer_0(rid, rc);
-}
-
-static void vfs_in_wait_handle(cap_call_handle_t rid, ipc_call_t *request)
+	async_answer_0(req_handle, rc);
+}
+
+static void vfs_in_wait_handle(cap_call_handle_t req_handle, ipc_call_t *request)
 {
 	bool high_fd = IPC_GET_ARG1(*request);
 	int fd = -1;
 	errno_t rc = vfs_op_wait_handle(high_fd, &fd);
-	async_answer_1(rid, rc, fd);
-}
-
-static void vfs_in_walk(cap_call_handle_t rid, ipc_call_t *request)
+	async_answer_1(req_handle, rc, fd);
+}
+
+static void vfs_in_walk(cap_call_handle_t req_handle, ipc_call_t *request)
 {
 	/*
@@ -301,8 +301,8 @@
 		free(path);
 	}
-	async_answer_1(rid, rc, fd);
-}
-
-static void vfs_in_write(cap_call_handle_t rid, ipc_call_t *request)
+	async_answer_1(req_handle, rc, fd);
+}
+
+static void vfs_in_write(cap_call_handle_t req_handle, ipc_call_t *request)
 {
 	int fd = IPC_GET_ARG1(*request);
@@ -312,5 +312,5 @@
 	size_t bytes = 0;
 	errno_t rc = vfs_op_write(fd, pos, &bytes);
-	async_answer_1(rid, rc, bytes);
+	async_answer_1(req_handle, rc, bytes);
 }
 
